//  File: CenterDesktop.java

//  Initially display an application in the center of the desktop

import java.awt.*;              
import java.awt.event.*;      
import javax.swing.*;     

public class CenterDesktop extends JFrame {

    CenterDesktop() {
        super("CenterDesktop");
        JPanel jPanel = new JPanel(new FlowLayout());
        JTextArea jTextArea = new JTextArea("\nNote that this JFrame initially "
                                            + "displays at the center of the "
                                            + "Desktop.\n", 5, 15);
        jTextArea.setEditable(false);
        jTextArea.setLineWrap(true);
        jTextArea.setWrapStyleWord(true);
        jPanel.add(jTextArea);
        setContentPane(jPanel);

        setDefaultCloseOperation(EXIT_ON_CLOSE); 
        setSize(200, 125);
        setResizable(false); 
        setLocationRelativeTo(null);   // This positions the JFrame at the center
        setVisible(true); 
    }

    public static void main(String[] args) {
        new CenterDesktop();
    }

}
